MEMORY
{
	FLASH (rx)  : ORIGIN = 0x00000000, LENGTH = 1024K
	CCMRAM (rw) : ORIGIN = 0x10000000, LENGTH = 64K
	SRAM (rwx)  : ORIGIN = 0x20000000, LENGTH = 128K
}

SECTIONS
{
	.text	: { 
		    flashend = 0x00100000 ;
		    ccmbgn   = 0x10000000 ;
		    ccmend   = 0x10010000 ;
		    srambgn  = 0x20000000 ;
		    sramend  = 0x20020000 ;
		    *(.text)
		  } > FLASH
	.bss	: { *(.bss)  } > CCMRAM
	.sram	: { *(.sram) } > SRAM
}
